package ap.data;

/**
 * Title:        Klasse CStockAgentMsgExit
 * Description:  Nachricht an einen StockAgent, der ihn zum Beenden
 *		 veranlasst
 * Copyright:    Copyright (c) 2001
 * Company:      Ametas Praktikum, Uni Frankfurt, Fachbereich Biologie und Informatik, WS2000/2001
 * @author Martin Klossek, Fabian Wleklinski
 * @version 1.0
 */

public class CStockAgentMsgExit extends CStockAgentMsg implements AMETAS.data.AMETASSendable {

        /**
         * Konstruktor der Klasse
         */
        public CStockAgentMsgExit() {
        }

        /**
         * Die Funktion &quot;getData()&quot; wird vom Interface &quot;AMETASSendable&quot;
         * gefordert. Sie dient dazu, im Falle einer Serialisierung der Klasse (bei einer
         * Migration des Agenten) alle enthaltenen Daten/Variablen/Members in generische
         * Objekte zu verwandeln.
         */
        public Object[] getData() {

                /* Fabian Wleklinski: Es muss ein Feld von generischen Objekten zurckgegeben
                werden, dies fordert das "AMETASSendable"-Interface. Dieses Feld wird nun
                erzeugt: */
                Object[] aobjData = new Object[ 0 ];

                /* Fabian Wleklinski: Nun alle Daten/Variablen/Members in dieses Feld
                schreiben: */

                /* Fabian Wleklinski: Nun dieses Feld zurckgeben: */
                return aobjData;
        }

        /**
         * Die Funktion &quot;setData()&quot; wird vom Interface &quot;AMETASSendable&quot;
         * gefordert. Sie dient dazu, im Falle einer Serialisierung der Klasse (bei einer
         * Migration des Agenten) alle enthaltenen Daten/Variablen/Members aus generischen
         * Objekten zu lesen.
         */
        public void setData( Object[] aobjData ) {

                /* Fabian Wleklinski: Nun alle Daten/Variablen/Members aus dem
                bergebenen Feld lesen, und in die entsprechenden Variablen eintragen: */
        }

}
