package ap.stockagent;

/**
 * <p>Agent f&uuml;r &quot;Ametas&quot; (<a href="http://www.ametas.de" target="_blank">www.Ametas.de</a>),
 * der mit anderen Agenten &uuml;ber Nachrichten kommuniziert.</p>
 * <p>Ein &quot;StockInfoAgent&quot; wird auf einer Stelle von einem Agenten der Klasse &quot;StockAgent&quot;
 * gestartet, und bekommt von diesem eine initiale Nachricht. Dieser entnimmt der Agent Informationen
 * darber, auf welche Stelle er migrieren soll, und welche Daten er dort abliefern soll.</p>
 *
 * <p>Diese Klasse wurde im Rahmen des Praktikums &quot;Mobile Agenten&quot; im Wintersemester 2000/01
 * an der Professur &quot;Verteilte Systeme und Betriebssysteme&quot; des Fachbereiches Informatik
 * und Biologie an der Johann Wolfgang Goethe-Universit&auml;t in Frankfurt erstellt:</p>
 * <p>L&ouml;sung zu Aufgabenblatt 7</p> <p>Autoren (Gruppe &quot;Orange&quot;):</p> <ul>
 * <li>Martin Klossek (<a href="mailto:klossek@informatik.uni-frankfurt.de">klossek@informatik.uni-frankfurt.de</a>)</li>
 * <li>Fabian Wleklinski (<a href="mailto:wleklins@informatik.uni-frankfurt.de">wleklins@informatik.uni-frankfurt.de</a>)</li>
 * </ul>
 * @see <a href="http://www.ametas.de" target="_blank">www.Ametas.de</a>
 */
public class StockInfoAgent extends NotifyAgent {

        /** Der Name der Agenten(klasse) */
        final static String m_sAgentClassName = "ap.stockagent.StockInfoAgent";

        /**
         * Der Konstruktor der Klasse: Hier wird der Name des Agenten gesetzt.
         */
        public StockInfoAgent() {
                super( m_sAgentClassName );
        }
}
