package ap.stockservice;

import java.util.*;

import ap.data.*;

/**
 * Title:        Ametas StockService
 * Description:  Eine Testklasse zur Prfung der Funktionalitt (wird im Ametas-Service nicht mehr bentigt)
 * Copyright:    Copyright (c) 2001
 * Company:      Ametas Praktikum, Uni Frankfurt, Fachbereich Biologie und Informatik, WS2000/2001
 * @author Martin Klossek, Fabian Wleklinski
 * @version 1.0
 */

public class testclass {

	CStockList m_stlTrading;
	Thread m_thdTrading;

        public testclass() {

		/* Das autonom handelnde Objekt m_stlTrading zum Handeln der Aktienkurse anlegen  */
		m_stlTrading = new CStockList (10, 1);  // 10 firmen, 1 sekunde verzgerung

		/* Anlegen des Threads zum Aktienhandel mit der CStockList m_stlTrading */
		m_thdTrading = new Thread(m_stlTrading);
		m_thdTrading.start();

		try {
		        Thread.currentThread().sleep (2000);
		} catch (InterruptedException ex) {

		}


        }

        public static void main(String[] args) {

                testclass testclass1 = new testclass();

		CDepotEntry xy = new CDepotEntry("hallo", 0.1, 0.1, 1);
		CStock xz = new CStock ("hall", 1.0, 1.0);
		CDepot zy = new CDepot ();
		CAccountList m_objAccountList = new CAccountList();
		CStockList m_stlTrading_X = new CStockList ();


			Vector vctResponse;
		        String sResponseSpec;


vctResponse = new Vector();
sResponseSpec = "xxx";
Object[] aobjBody = { "BUY_STOCK", "MARTIN", "SEX", new Integer(10) };
String sCommand = (String)aobjBody[0];
/* --------------------------------------------------- */
String sUsername = (String)aobjBody[1];
String sStockname = (String)aobjBody[2];
int iAmount = 10;
m_objAccountList.addElement (new CAccount ("MARTIN", 1000.0));
m_stlTrading_X.addElement (new CStock ("SEX", 25.0, 25.0));
/* --------------------------------------------------- */

				        /* Mit diesen Objekten haben wir Zugriff auf die Aktie und den Account */
				        CStock objStock = null;
				        CAccount objAccount = null;

					try {
						/* Benutzeraccount in Accountliste suchen */
						objAccount = m_objAccountList.getElementByName (sUsername);

						/* Prfen, ob Account gefunden werden konnte, sonst zurck */
						if (objAccount == null) {
							sResponseSpec = "USER_UNKNOWN";
			        		        vctResponse.addElement (sUsername);
							// return;
	        			        		System.out.println ("return");
						}

					} catch ( Exception ex ) {
						sResponseSpec = "USER_UNKNOWN";
					        vctResponse.addElement (sUsername);
						// return;
				        		System.out.println ("return");
					}

				        try {
	                			/* Aktie in Aktienliste suchen */
	                        		objStock = m_stlTrading_X.getElementByName (sStockname);

			                	/* Prfen, ob Aktie gefunden werden konnte, sonst zurck */
				                if ((objStock == null) || ((objStock != null) && (!objStock.isTraded()))) {
	        			                sResponseSpec = "NOT_TRADED";
		        		                vctResponse.addElement (sStockname);
		        	        		// return;
	        			        		System.out.println ("return");
	        	        		}

		        	        }  catch ( Exception ex ) {
                	        		sResponseSpec = "NOT_TRADED";
		        	                vctResponse.addElement (sStockname);
			        	        // return;
        			        		System.out.println ("return");
					}



				        double dPriceCurrent = objStock.getPriceCurrent();
	                	        double dValue = (double)(iAmount * dPriceCurrent);
		                        if (objAccount.getCurrentBalance() < dValue) {

			                	/* Zu wenig Agentendollar auf Account, daher zurckspringen */
        			                sResponseSpec = "NOT_ENOUGH_CREDIT";
				                vctResponse.addElement (new Double(objAccount.getCurrentBalance()));
			        	        // return;
        			        		System.out.println ("return");

	        	                }

				        CDepotEntry objNewDepotEntry = new CDepotEntry (sStockname, dPriceCurrent, dPriceCurrent, iAmount);

				        /* Neuen Depoteintrag zu Accountdepot hinzufgen und Kaufpreis abbuchen */
				        objAccount.bookDepotEntry (objNewDepotEntry);

				        /* Statusmeldung ber Kauferfolg an Aufrufer zurck */
		       			sResponseSpec = "STOCK_BOUGHT";
				        vctResponse.addElement (sStockname);
				        vctResponse.addElement (new Integer(iAmount));
			                vctResponse.addElement (new Double(dValue));

				        System.out.println (objAccount.getCurrentBalance());

// DEBUG:
				System.out.println (sResponseSpec);
				System.out.println (vctResponse);

/* --------------------------------------------------- */
				/* Spezifikation der Rckgabenachricht setzen */
				sResponseSpec = "STOCKS_ARE";

				/* Liste der Namen der gehandelten Papiere in vctResponse
				als Strings ablegen (okay, als was sonst :-) */
				for (int i = 0; i < testclass1.m_stlTrading.size(); i++) {
				        CStock objCurrentStock = testclass1.m_stlTrading.getStock (i);
				        if (objCurrentStock != null) {
						if (objCurrentStock.isTraded()) {
						        vctResponse.addElement(objCurrentStock.getName());
						}
				        }
				}
// DEBUG:
				System.out.println (vctResponse);
				aobjBody[1] = vctResponse.get(1);
vctResponse = new Vector();
/* --------------------------------------------------- */
				/* Krzel der Aktie in Nutzlast der Antwortnachricht legen */
				vctResponse.addElement (aobjBody[1]);

				/* Objekt der angeforderten Aktie suchen */
				CStock objRequestedStock = testclass1.m_stlTrading.getElementByName ((String)aobjBody[1]);

				if (objRequestedStock != null) {
				        if (objRequestedStock.isTraded()) {
				                sResponseSpec = "IPO_PRICE_IS";
					        vctResponse.addElement ( new Double(objRequestedStock.getPriceIPO()) );
				        } else {
				                sResponseSpec = "NOT_TRADED";
				        }
			        } else {
				        sResponseSpec = "NOT_TRADED";
				}
// DEBUG:
				System.out.println (sResponseSpec);
/* --------------------------------------------------- */

		        /* Antwortnachricht zusammensetzen und versenden */
		        vctResponse.add (0, sResponseSpec);
		        Object[] aobjResponse = vctResponse.toArray ();
			System.out.println (vctResponse);



        }
}